# DeleteAccount

Delete a single account

`DELETE /api/v2/accounts/{id}`

**API:** AvaTax API
**Tag:** Registrar
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Registrar/DeleteAccount/

## Description

# For Registrar Use Only
This API is for use by Avalara Registrar administrative users only.
            
Delete an account.
Deleting an account will delete all companies, all account level users and license keys attached to this account.

### Security Policies

* This API requires the user role SystemAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The ID of the account you wish to delete. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/accounts/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```